> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/81.-kysely-hae-equationmap-geojson-muodossa.md).

# 81. Kysely: Hae "EquationMap" GeoJSON-muodossa

Hae GeoJSONia "EquationMaps"-kohteista suodatettuna `equationMapUuids`.

Attribuutti `equationMapGeojson` sisältää GeoJSONin, jossa on `Polygoneina` tai `Monikulmiot` mukaan lukien paikkatieto-ominaisuuksien attribuutit kuten `id`, `arvo` ja `ala` määritellyissä yksiköissä.

Keskeiset tiedot:

* Parametri `asMultiGeometry: true` tarkoittaa, että `Polygoneina` ("Equation Map" -solut) yhdistetään `MultiPolygoneina` perusteella `arvo` jokaisen "Equation Map" -solun attribuutin perusteella.
* Tulosteen aluetta voi määrittää käyttämällä `yksikkö` parametri. Saatavilla olevat vaihtoehdot: `EEKKERIT`,  `HEHTAARIT`, `NELIÖMETRIT`

{% code overflow="wrap" lineNumbers="true" %}

```graphql
kysely GetEquationMapGeometries {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        equationMapGeojson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}

Jos geometrioita ei pyydetä (vain attribuutit tarvitaan), silloin on `attributesJson` sen sijaan että `equationMapGeojson` käytettäisiin.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
kysely GetEquationMapAttributes {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        attributesJson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/81.-kysely-hae-equationmap-geojson-muodossa.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
